#include <iostream>
#include <cmath>

using namespace std;

int a[100001];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n;

    cin >> n;

    int add = 1;
    int ans = 1;

    for (int i = 1; add < n; i++)
    {
        add *= i;

        for (int q = 1; q <= n; q += add)
        {
            if (q != 1)
            {
                ans = q;
            }
        }
    }

    cout << ans << endl;

    return 0;
}
